#===========================================================================
# FileName: <<FileName>>
#   Author: Craig Schneider
#  Created: 2008-02-14
# Synopsis: Run any command forever.
# <<Copyright>>
#===========================================================================

#===========================================================================
# Display the usage.
#===========================================================================
function Usage
{
   if [ "$1" != "" ] ; then
      echo
      echo $*
   fi
   cat <<!

Usage: 4Ever [-seconds SecondsToSleep] CommandToRun

  CmdAndArgs: The command to execute with its arguments.
    -seconds: Seconds to sleep between each execution of CmdAndArgs (default 2).
!
   exit 1
}

SLEEP_SECONDS=2
#===========================================================================
# Process the command line arguments.
#===========================================================================
if [ "$1" = -? ] ; then
   Usage
fi
if [ $# -eq 0 ] ; then
   Usage
fi

if [ "$1" = "-seconds" ] ; then
   SLEEP_SECONDS=$2
   shift
   shift
fi

while true
do
   "$@"
   if [ $SLEEP_SECONDS -ne 0 ] ; then
      echo "$(date '+%D %T')  4ever sleeping $SLEEP_SECONDS seconds..."
      sleep $SLEEP_SECONDS
   else
      echo "$(date '+%D %T')  4ever..."
   fi
done
