#===========================================================================
#  Filename: CFourReleaseInfoFixer.ksh
#    Author: Craig Schneider
# Orig Date: 01/23/07
# Copyright: ShadowScape Technologies, Inc. (see copyright file for details)
#  Synopsis: Fix the release info file.
#===========================================================================

if [ "$1" = -? -o $# -ne 1 ] ; then
   cat <<!

Usage: $0 ReleaseInfoFileName

!
   exit 1
fi

RELEASE_INFO_FILE="$1"
shift

FIXED_REL_INFO_FILE="$TMPDIR/rel_info.fix.$$"
if [ "$BRANCH_TYPE" = PATCH ] ; then
   BOUND_CFOUR_ROOT="$EZ_CFOUR_ROOT"
else
   if [ "$EZ_COMPUTERNAME" != "PCC-BUILD1" ] ; then
      UpdateEZCFour.ksh
   fi
   LAST_EZCFOUR=`last_name.ksh $EZ_3RDPACKAGES_ROOT/EZCFour*`
   BOUND_CFOUR_ROOT="$LAST_EZCFOUR/CFour"
fi

sed -e "s{\$(EZCFourDir){$BOUND_CFOUR_ROOT{" \
    $RELEASE_INFO_FILE > "$FIXED_REL_INFO_FILE"
mv "$FIXED_REL_INFO_FILE" "$RELEASE_INFO_FILE"

REL_FILE="${RELEASE_INFO_FILE##*/}"
REL_NAME="${REL_FILE%.ksh}"

#CFOUR_DIR="${BOUND_CFOUR_ROOT##*/}"
#rel.sh 3rd_ref -add -r $REL_NAME -d $CFOUR_DIR \
#    -m "CFourReleaseInfoFixer bound release $REL_NAME to $BOUND_CFOUR_ROOT."

echo "Successfully bound release $REL_NAME to $BOUND_CFOUR_ROOT."
exit 0
