#===========================================================================
#  Filename: FileVersion.ksh
#    Author: Craig Schneider
# Orig Date: 01/18/2016
# Copyright: ShadowScape Technologies, Inc. (see copyright file for details)
#  Synopsis: Get the version of a file.
#===========================================================================

. $EZ_SHARED_ENV

function Usage
{
   if [ "$1" != "" ] ; then
      echo
      echo "$1"
   fi
   cat <<!

Usage: FileVersion [-TempDir TempDirectory] FileName

  -FileName: The name of the file to get the version of.
   -TempDir: The path of the temporary directory to use.
!
   exit 1
}

FILE_NAME=
TEMP_DIR="$TMPDIR"

typeset -l LOWERCASE_ARG
while [ "$#" -ne 0 ]
do
   LOWERCASE_ARG="$1"
   case $LOWERCASE_ARG in
-tempdir)
          TEMP_DIR="$2"
          shift
          shift ;;
      -?) Usage
          shift ;;
      *)  FILE_NAME="$1"
          shift ;;
   esac
done

if [ "$FILE_NAME" = "" ] ; then
   Usage "Must specify a FileName."
fi

SCRIPT_FILE="$TEMP_DIR/FileVer.$$.vbs"
SCRIPT_FILE_WIN=`EZPath2Win $SCRIPT_FILE`

cat > "$SCRIPT_FILE" <<!
WScript.Echo CreateObject("Scripting.FileSystemObject").GetFileVersion("$FILE_NAME")
!

#echo "cscript /NoLogo $SCRIPT_FILE_WIN | sed 's/\r//'"
cscript /NoLogo "$SCRIPT_FILE_WIN" | sed 's/\r//'

rm -f "$SCRIPT_FILE"
