#===========================================================================
# FileName: <<FileName>>
#   Author: Craig Schneider
#  Created: 2001-02-19
# Synopsis: Get the full path and name of the MakeFunctions file to use
#           for the current directory.
# <<Copyright>>
#===========================================================================

. $EZ_SHARED_ENV

CURR_DIRECTORY="$PWD"
PREV_DIRECTORY="UNSET"
MAKE_FUNCTIONS_FILE_NAME=MakeFunctions.sh
MAKE_FUNCTIONS_FULL_FILE_NAME=
while [ "$PREV_DIRECTORY" != "$CURR_DIRECTORY" ]
do
   PREV_DIRECTORY="$CURR_DIRECTORY"

   FOUND_FUNCTIONS_FILE=FALSE
   for FUNCTIONS_FILE in     $MAKE_FUNCTIONS_FILE_NAME \
                         Env/$MAKE_FUNCTIONS_FILE_NAME
   do
      MAKE_FUNCTIONS_FULL_FILE_NAME="$CURR_DIRECTORY/$FUNCTIONS_FILE"
      if [ -f "$MAKE_FUNCTIONS_FULL_FILE_NAME" ] ; then
         FOUND_FUNCTIONS_FILE=TRUE
         break;
      fi
   done
   if [ "$FOUND_FUNCTIONS_FILE" = TRUE ] ; then
      break;
   fi

   CURR_DIRECTORY="${CURR_DIRECTORY%/*}"
done

if [ ! -f "$MAKE_FUNCTIONS_FULL_FILE_NAME" -a "$EZ_DEVTOOLS_ROOT" != "" ] ; then
   MAKE_FUNCTIONS_FULL_FILE_NAME="$EZ_DEVTOOLS_ROOT/Env/$MAKE_FUNCTIONS_FILE_NAME"
fi

if [ -f "$MAKE_FUNCTIONS_FULL_FILE_NAME" ] ; then
   echo "$MAKE_FUNCTIONS_FULL_FILE_NAME"
   exit 0
else
   PWD_WIN=`EZPath2Win "$PWD"`
   echo "ERROR: Failed to find the $MAKE_FUNCTIONS_FILE_NAME file for directory $PWD_WIN."
   exit 1
fi
