#===========================================================================
#  Filename: IgniteUISetup.ksh
#    Author: Craig Schneider
# Orig Date: 04/27/2013
# Copyright: ShadowScape Technologies, Inc. (see copyright file for details)
#  Synopsis: Setup the Ignite UI js and css files.
#===========================================================================

CURR_VER=15.1
CURR_3RD_DIR="C:/3rdParty/IgniteUI${CURR_VER}"

if [ ! -d "$CURR_3RD_DIR" ] ; then
   echo    "Warning: Missing Current 3rdParty Directory $CURR_3RD_DIR,"
   echo -n "Warning: create it <y,n>? "
   read ANSWER
   if [ "$ANSWER" != y ] ; then
      exit 1
   fi
   mkdir -p $CURR_3RD_DIR
fi

INFRA_ROOT="C:/Program Files (x86)/Infragistics"
IGNITEUI_ROOT="$INFRA_ROOT/20${CURR_VER}/Ignite UI"

cp -R "$IGNITEUI_ROOT/css"   $CURR_3RD_DIR
cp -R "$IGNITEUI_ROOT/js/"*  $CURR_3RD_DIR

echo "Successfully staged $CURR_3RD_DIR."

exit 0
