#===========================================================================
#  Filename: Spawner.ksh
#    Author: Craig Schneider
# Orig Date: 03/15/07
# Copyright: ShadowScape Technologies, Inc. (see copyright file for details)
#  Synopsis: Sample script to spawn multiple processes and wait for finish.
#===========================================================================

# TODO: Perform any untimed initial setup activities here.

function PerformTheSpawning
{
   # TODO: Change this to the number of instances you want to run.
   SIMULTANEOUS_INSTANCES=5
   # TODO: Change this sleep 17 to the some string common to all commands.
   INSTANCE_TEXT="sleep 17"
   # TODO: Change this to the wait time between launching instances.
   SECONDS_BETWEEN=0

   #echo "Successfully starting: $(date)"

   # This part launches the instances.
   INDEX=0
   while true
   do
      # TODO: Change this sleep 120 to the command you want to run use $INDEX.
      sleep 17 &
      echo "Successfully invoked instance $INDEX"
      let INDEX=INDEX+1
      if [ $INDEX -ge $SIMULTANEOUS_INSTANCES ] ; then
         break
      fi
      if [ "$SECONDS_BETWEEN" != 0 ] ; then
         sleep $SECONDS_BETWEEN
      fi
   done

   # This part waits for all instances to exit
   LOOPS=0
   while true
   do
      ps -ef | grep -v grep | egrep -qs "$INSTANCE_TEXT"
      if [ $? -eq 1 ] ; then
         break
      fi
      echo -n "."
      let LOOPS=LOOPS+1
      if [ $LOOPS -ge 60 ] ; then
         echo
         LOOPS=0
      fi
      sleep 1
   done

   echo "Successfully detected all instances of $INSTANCE_TEXT have exited"
   #echo "Successfully finished: $(date)"
}

time PerformTheSpawning
