#===========================================================================
#  Filename: echo_args.ksh
#    Author: Craig Schneider
# Orig Date: 08/04/04
# Copyright: ShadowScape Technologies, Inc. (see copyright file for details)
#  Synopsis: Debug script used to echo each command line argument.
#===========================================================================

if [ "$1" = -? ] ; then
   cat <<!

Usage: $0 [AnyArgument(s)...]

!
   exit 1
fi

typeset -i ARG_NUM=0
echo "Argument #$ARG_NUM: ($0)"
ARG_NUM=ARG_NUM+1

for ARGUMENT in "$@"
do
    echo "Argument #$ARG_NUM: ($ARGUMENT)"
    ARG_NUM=ARG_NUM+1
done
exit 0
