#===========================================================================
# FileName: <<FileName>>
#   Author: Craig Schneider
#  Created: 2001-06-11
# Synopsis: Provide the interface to the rel suite of utilities.
# HelpType: SubSystemRoot.
# <<Copyright>>
#===========================================================================

. $EZ_SHARED_ENV

REL_FILE_NAME=`whence rel.sh`

export EZ_REL_SCRIPTS="${REL_FILE_NAME%rel.sh}rel_scripts"
if [ ! -d "$EZ_REL_SCRIPTS" ] ; then
   echo "ERROR: Failed to find rel_scripts directory $EZ_REL_SCRIPTS."
   exit 1
fi
if [ "$EZ_REL_SCRIPTS" = "./rel_scripts" ] ; then
   export EZ_REL_SCRIPTS="$PWD/rel_scripts"
fi
export EZ_RELMGR_ENV="$EZ_REL_SCRIPTS/relmgr_env.ksh"
if [ ! -f "$EZ_RELMGR_ENV" ] ; then
   echo "ERROR: Failed to find file $EZ_RELMGR_ENV."
   exit 1
fi

if [ $# -eq 0 -o "$1" = "-?" ] ; then
   help.sh -d "$EZ_REL_SCRIPTS" -s rel $1
   exit 1
fi

EZAddToPath $EZ_REL_SCRIPTS "PREPEND"

REL_FILE="rel_$1.ksh"
if [ ! -f "$EZ_REL_SCRIPTS/$REL_FILE" ] ; then
   echo "ERROR: Invalid command 'rel $1' use 'rel' or 'rel -?' for help."
   exit 1
fi
shift

$REL_FILE "$@"
exit $?
