#===========================================================================
# FileName: <<FileName>>
#   Author: Craig Schneider
#  Created: 2006-05-01
# Synopsis: Launch Visual Studio IDE for the most appropriate solution.
# <<Copyright>>
#===========================================================================

VS_MODE="^"
EZ_DRYRUN=FALSE
EXIT_CODE=0

typeset -l LOWERCASE_ARG
while [ $# -ne 0 ]
do
   LOWERCASE_ARG="$1"
   case $LOWERCASE_ARG in
 -dryrun) EZ_DRYRUN=TRUE
          shift ;;
       *) VS_MODE="$1"
          shift ;;
   esac
done

VS_FILE_TO_LOAD=
for VS_FILE in `echo *.sln *.csproj *.wixproj *.vdproj` 
do
   if [ -f "$VS_FILE" ] ; then
      if [ "${VS_FILE#*.$VS_MODE.sln}" != "$VS_FILE" ] ; then
         VS_FILE_TO_LOAD=$VS_FILE
         break
      elif [ "${VS_FILE#*+++.sln}" != "$VS_FILE" ] ; then
         if [ $VS_MODE = "+++" ] ; then
            VS_FILE_TO_LOAD=$VS_FILE
            break
         fi
      elif [ "${VS_FILE#*++.sln}" != "$VS_FILE" ] ; then
         if [ $VS_MODE = "++" ] ; then
            VS_FILE_TO_LOAD=$VS_FILE
            break
         fi
      elif [ "${VS_FILE#*+.sln}" != "$VS_FILE" ] ; then
         if [ $VS_MODE = "++" -o $VS_MODE = "+" ] ; then
            VS_FILE_TO_LOAD=$VS_FILE
            break
         fi
      elif [ "${VS_FILE#*.sln}"   != "$VS_FILE" -a \
             "${VS_FILE#*.*.sln}"  = "$VS_FILE" ] ; then
         if [ $VS_MODE = "++" -o $VS_MODE = "+" -o  $VS_MODE = "-" ] ; then
            VS_FILE_TO_LOAD=$VS_FILE
            break
         fi
      elif [ "${VS_FILE#*.csproj}" != "$VS_FILE" ] ; then
         VS_FILE_TO_LOAD=$VS_FILE
         break
      elif [ "${VS_FILE#*.wixproj}" != "$VS_FILE" ] ; then
         VS_FILE_TO_LOAD=$VS_FILE
         break
      fi
   fi
done
if [ "$VS_FILE_TO_LOAD" = "" -a -d ".vscode" ] ; then
   WIN_PWD=`Path2Win.ksh "$PWD"`
   Code $WIN_PWD &
   exit 0
fi
if [ "$VS_FILE_TO_LOAD" = "" ] ; then
   echo "Warning: Failed to find a suitable solution or project file."
   exit 1
fi

DEVENV_CMD="devenv $VS_FILE_TO_LOAD"

if [ "$EZ_DRYRUN" = TRUE ] ; then
   echo "Would execute: $DEVENV_CMD &"
else
   eval $DEVENV_CMD &
   EXIT_CODE=$?
fi
exit $EXIT_CODE
